Summary:       X.Org X11 SM runtime library
Name:          libSM
Version:       1.2.4
Release:       4%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: autoconf automake libtool make
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-xtrans-devel
BuildRequires: libICE-devel
BuildRequires: libuuid-devel

%description
he X.Org project provides an open source implementation of the X Window System.
The X.Org X11 SM (Session Management) runtime library.

%package       devel
Summary:       X.Org X11 SM development package
Requires:      %{name} = %{version}-%{release}

%description   devel
This package provides X.Org X11 SM (Session Management) development files.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fiv
%configure --with-libuuid --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/libSM.so.6
%{_libdir}/libSM.so.6.*

%files devel
%dir %{_includedir}/X11/SM
%{_includedir}/X11/SM/SM.h
%{_includedir}/X11/SM/SMlib.h
%{_includedir}/X11/SM/SMproto.h
%{_libdir}/libSM.so
%{_libdir}/pkgconfig/sm.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 04 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.2.4-1
- Upgrade to upstream version 1.2.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Shuo Wang <abushwang@tencent.com> - 1.2.3-1
- initial build
